Back to index

salome-geom  6.5.0
PAL_MESH_019_020_geometry.py
Go to the documentation of this file.
00001 #  -*- coding: iso-8859-1 -*-
00002 # Copyright (C) 2007-2012  CEA/DEN, EDF R&D, OPEN CASCADE
00003 #
00004 # Copyright (C) 2003-2007  OPEN CASCADE, EADS/CCR, LIP6, CEA/DEN,
00005 # CEDRAT, EDF R&D, LEG, PRINCIPIA R&D, BUREAU VERITAS
00006 #
00007 # This library is free software; you can redistribute it and/or
00008 # modify it under the terms of the GNU Lesser General Public
00009 # License as published by the Free Software Foundation; either
00010 # version 2.1 of the License.
00011 #
00012 # This library is distributed in the hope that it will be useful,
00013 # but WITHOUT ANY WARRANTY; without even the implied warranty of
00014 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
00015 # Lesser General Public License for more details.
00016 #
00017 # You should have received a copy of the GNU Lesser General Public
00018 # License along with this library; if not, write to the Free Software
00019 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
00020 #
00021 # See http://www.salome-platform.org/ or email : webmaster.salome@opencascade.com
00022 #
00023 
00024 #####################################################################################
00025 #Created                :17/02/2005
00026 #Auhtor                 :KOVALTCHUK Alexey 
00027 #GUI test scenario      :PAL-MESH-019 (geometry part), PAL-MESH-020 (geometry part)
00028 #####################################################################################
00029 #
00030 import geompy
00031 import salome
00032 
00033 #Points creation (2.2)
00034 Vertex_1 = geompy.MakeVertex(0, 0, 0)
00035 geompy.addToStudy(Vertex_1, "Vertex_1")
00036 
00037 Vertex_2 = geompy.MakeVertex(20, 0, 0)
00038 geompy.addToStudy(Vertex_2, "Vertex_2")
00039 
00040 Vertex_3 = geompy.MakeVertex(10, 10, 0)
00041 geompy.addToStudy(Vertex_3, "Vertex_3")
00042 
00043 Vertex_4 = geompy.MakeVertex(0, 100, 0)
00044 geompy.addToStudy(Vertex_4, "Vertex_4")
00045 
00046 Vertex_5 = geompy.MakeVertex(0, 80, 20)
00047 geompy.addToStudy(Vertex_5, "Vertex_5")
00048 
00049 #Curve creation (2.21)
00050 Curve_1 = geompy.MakeInterpol([Vertex_1, Vertex_3, Vertex_2])
00051 geompy.addToStudy(Curve_1, "Curve_1")
00052 
00053 #Line creation (2.29)
00054 Line_1 = geompy.MakeLineTwoPnt(Vertex_4, Vertex_5)
00055 geompy.addToStudy(Line_1, "Line_1")
00056 
00057 salome.sg.updateObjBrowser(1)